Description: In our project we added a custom field "Affected Version".

It should contain all the versions for the project as listed in the regular field "Target Version".

The root project contains the version definitions which are shared along the project tree.
A sub-project called "Software" has one independent release version "V2.30".
Now this is the only version listed in "Affected Version" while "Target Version" lists all project versions.

Even if versions are shared with all projects they are not listed in this field. It seems that a custom version field 
only lists those version that are defined in the current project and leaves out all inherited versions.

History
2013-07-02 02:49 pm - Daniel F.
I forgot to specify: Please try to fix this for the 3.9.0 release.
Hope it's just a minor change.

2013-07-02 02:52 pm - Chris Dähn
I tested this with current 3.8.0 (Debian 6.0, Apache2 + Passenger, Ruby 1.8.7, rake 10.0.4) and reproduced the same behaviour:

* created new "custom field" for "issues" with type "version" for "all projects"
* set versions of parent project to be visible for "project tree"
  => tested different types how the version are shared, but no affect
* created issue inside child project -> field "target version" shows all versions of parent project, but new version field is empty (or shows only versions of 
child project)

So the bug should be confirmed now.

2013-07-06 04:47 am - Mischa The Evil
This is caused by source:/app/models/custom_field.rb#L56, which should be changed from:
<pre>
          obj.project.versions.sort.collect {|u| [u.to_s, u.id.to_s]}
</pre>
to:
<pre>
          obj.project.shared_versions.sort.collect {|u| [u.to_s, u.id.to_s]}
</pre>

Remote issue URL: http://www.redmine.org/issues/8615

2013-07-06 08:38 pm - Mischa The Evil
- Status changed from Open to Duplicate

I remembered another issue while commenting above but couldn't find it. Looking a second time was more successful; this issue duplicates issue #342. 
:-/
2013-07-08 02:00 pm - Daniel F.
Thank you for looking up the related issue(s), Mischa. That's the simple solution I expected.

We are going to decide on moving to JIRA or staying at ChiliProject. To see that there is work in progress would definitely help the pro ChiliProject 
section arguing.
